mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Reflection.Module System.Runtime.InteropServices._ModuleBuilder System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._ModuleBuilder)) System.Runtime.InteropServices.ComVisible(true)

To get an instance of , use the method.

Defines and represents a module in a dynamic assembly.

- Property
  4.0.0.0
  System.Reflection.Assembly To be added.

  The object that is returned is the that defined this instance of .

  Gets the dynamic assembly that defined this instance of .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This method should be called when the user is done with defining all the global functions within this dynamic module. After calling this function, no more new global functions or new global data are allowed.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Completes the global function definitions and global data definitions for this dynamic module.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.ISymbolDocumentWriter `` `` `` ``

  Earlier versions of the .NET Framework throw instead of when is null.

  Defines a document for source.

  The defined document.

  The URL for the document. The GUID that identifies the document language. This can be . The GUID that identifies the document language vendor. This can be . The GUID that identifies the document type. This can be .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.EnumBuilder `` `` ``

  The defined enum is a derived class of . The field has and attributes set.

  For more information about the built-in integer types that can be specified as the underlying types of enumerations, see .NET Framework Class Library Overview.

  In the .NET Framework versions 1.0 and 1.1, it is necessary to define enumerations using because emits enumerations whose elements are of type instead of the enumeration type. In the .NET Framework version 2.0, emits enumerations whose elements have the correct type.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines an enumeration type that is a value type with a single non-static field called of the specified type.

  The defined enumeration.

  The full path of the enumeration type. cannot contain embedded nulls. The type attributes for the enumeration. The attributes are any bits defined by . The underlying type for the enumeration. This must be a built-in integer type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.MethodBuilder `` `` `` ``

  The global method that this method defines is not usable until you call .

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines a global method with the specified name, attributes, return type, and parameter types.

  The defined global method.

  The name of the method. cannot contain embedded nulls. The attributes of the method. must include . The return type of the method. The types of the method's parameters.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.MethodBuilder `` `` `` `` ``

  You cannot use the global method that this method defines until you call .

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines a global method with the specified name, attributes, calling convention, return type, and parameter types.

  The defined global method.

  The name of the method. cannot contain embedded nulls. The attributes of the method. must include . The calling convention for the method. The return type of the method. The types of the method's parameters.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.MethodBuilder `` `` `` `` `` `` `` `` ``

  This overload is provided for designers of managed compilers.

  You cannot use the global method that this method defines until you call .

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines a global method with the specified name, attributes, calling convention, return type, custom modifiers for the return type, parameter types, and custom modifiers for the parameter types.

  The defined global method.

  The name of the method. cannot contain embedded null characters. The attributes of the method. must include . The calling convention for the method. The return type of the method. An array of types representing the required custom modifiers for the return type, such as or . If the return type has no required custom modifiers, specify null. An array of types representing the optional custom modifiers for the return type, such as or . If the return type has no optional custom modifiers, specify null. The types of the method's parameters. An array of arrays of types. Each array of types represents the required custom modifiers for the corresponding parameter of the global method. If a particular argument has no required custom modifiers, specify null instead of an array of types. If the global method has no arguments, or if none of the arguments have required custom modifiers, specify null instead of an array of arrays. An array of arrays of types. Each array of types represents the optional custom modifiers for the corresponding parameter. If a particular argument has no optional custom modifiers, specify null instead of an array of types. If the global method has no arguments, or if none of the arguments have optional custom modifiers, specify null instead of an array of arrays.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.FieldBuilder `` `` ``

  is automatically included in .

  The data defined by this method is not created until the method is called.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines an initialized data field in the .sdata section of the portable executable (PE) file.

  A field to reference the data.

  The name used to refer to the data. cannot contain embedded nulls. The binary large object (BLOB) of data. The attributes for the field. The default is Static.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  Resources that are recorded in the assembly manifest can be managed resources or manifest resource BLOBs, and each of these can be included in the assembly either by linking or by embedding. All four scenarios are supported for dynamic assemblies.

  This method allows you to embed a manifest resource BLOB into a dynamic assembly.

  To embed a managed resource into the manifest module of a dynamic assembly or into a satellite module, use the method to get a resource writer, and use the method to add the resource.

  To link a managed resource into a dynamic assembly, use the method to get a resource writer, and use the method to add the linked resource.

  To link a manifest resource BLOB into a dynamic assembly, use the method to add the linked resource.

  In addition, a single Win32 resource can be attached to an assembly by using the method or the method. This resource does not appear in the assembly manifest.

  Defines a binary large object (BLOB) that represents a manifest resource to be embedded in the dynamic assembly.

  The case-sensitive name for the resource. A stream that contains the bytes for the resource. An enumeration value that specifies whether the resource is public or private.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.MethodBuilder `` `` `` `` `` `` `` ``

  Some DLL import attributes (see the description of System.Runtime.InteropServices.DllImportAttribute) cannot be specified as arguments to this method. Such attributes should be set by emitting a custom attribute for the method. For example, the DLL import attribute PreserveSig is set by emitting a custom attribute.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines a PInvoke method with the specified name, the name of the DLL in which the method is defined, the attributes of the method, the calling convention of the method, the return type of the method, the types of the parameters of the method, and the PInvoke flags.

  The defined PInvoke method.

  The name of the PInvoke method. cannot contain embedded nulls. The name of the DLL in which the PInvoke method is defined. The attributes of the method. The method's calling convention. The method's return type. The types of the method's parameters. The native calling convention. The method's native character set.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.MethodBuilder `` `` `` `` `` `` `` `` ``

  Some DLL import attributes (see the description of ) cannot be specified as arguments to this method. Such attributes should be set by emitting a custom attribute for the method. For example, the DLL import attribute PreserveSig is set by emitting a custom attribute.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines a PInvoke method with the specified name, the name of the DLL in which the method is defined, the attributes of the method, the calling convention of the method, the return type of the method, the types of the parameters of the method, and the PInvoke flags.

  The defined PInvoke method.

  The name of the PInvoke method. cannot contain embedded nulls. The name of the DLL in which the PInvoke method is defined. The name of the entry point in the DLL. The attributes of the method. The method's calling convention. The method's return type. The types of the method's parameters. The native calling convention. The method's native character set.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Resources.IResourceWriter `` ``

  The caller must not call the ResourceWriter.Generate() and ResourceWriter.Close() methods, because these methods are called by ModuleBuilder.Save when the dynamic assembly is written to disk.

  Use this method to embed a managed resource. To embed a manifest resource blob, use the method. For a summary of embedding and linking managed resources and manifest resource blobs, see the method.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines the named managed embedded resource to be stored in this module.

  A resource writer for the defined resource.

  The name of the resource. cannot contain embedded nulls. The description of the resource.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Resources.IResourceWriter `` `` ``

  The caller must not call the ResourceWriter.Generate() and ResourceWriter.Close() methods, because these methods are called by ModuleBuilder.Save when the dynamic assembly is written to disk.

  Use this method to embed a managed resource. To embed a manifest resource blob, use the method. For a summary of embedding and linking managed resources and manifest resource blobs, see the method.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines the named managed embedded resource with the given attributes that is to be stored in this module.

  A resource writer for the defined resource.

  The name of the resource. cannot contain embedded nulls. The description of the resource. The resource attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.TypeBuilder ``

  Type names must be unique within an assembly. You cannot have two types with the same name in two different modules of an assembly.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Constructs a TypeBuilder for a private type with the specified name in this module.

  A private type with the specified name.

  The full path of the type, including the namespace. cannot contain embedded nulls.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.TypeBuilder `` ``

  Type names must be unique within an assembly. You cannot have two types with the same name in two different modules of an assembly.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Constructs a TypeBuilder given the type name and the type attributes.

  A TypeBuilder created with all of the requested attributes.

  The full path of the type. cannot contain embedded nulls. The attributes of the defined type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.TypeBuilder `` `` ``

  Type names must be unique within an assembly. You cannot have two types with the same name in two different modules of an assembly.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Constructs a TypeBuilder given type name, its attributes, and the type that the defined type extends.

  A TypeBuilder created with all of the requested attributes.

  The full path of the type. cannot contain embedded nulls. The attribute to be associated with the type. The type that the defined type extends.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.TypeBuilder `` `` `` ``

  Type names must be unique within an assembly. It is forbidden to have two types with the same name in two different modules of an assembly.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Constructs a TypeBuilder given the type name, the attributes, the type that the defined type extends, and the total size of the type.

  A TypeBuilder object.

  The full path of the type. cannot contain embedded nulls. The attributes of the defined type. The type that the defined type extends. The total size of the type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.TypeBuilder `` `` `` ``

  Type names must be unique within an assembly. You cannot have two types with the same name in two different modules of an assembly.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Constructs a TypeBuilder given the type name, the attributes, the type that the defined type extends, and the packing size of the type.

  A TypeBuilder object.

  The full path of the type. cannot contain embedded nulls. The attributes of the defined type. The type that the defined type extends. The packing size of the type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Reflection.Emit.TypeBuilder `` `` `` ``

  Type names must be unique within an assembly. You cannot have two types with the same name in two different modules of an assembly.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Constructs a TypeBuilder given the type name, attributes, the type that the defined type extends, and the interfaces that the defined type implements.

  A TypeBuilder created with all of the requested attributes.

  The full path of the type. cannot contain embedded nulls. The attributes to be associated with the type. The type that the defined type extends. The list of interfaces that the type implements.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.TypeBuilder `` `` `` `` ``

  Type names must be unique within an assembly. You cannot have two types with the same name in two different modules of an assembly.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Constructs a TypeBuilder given the type name, attributes, the type that the defined type extends, the packing size of the defined type, and the total size of the defined type.

  A TypeBuilder created with all of the requested attributes.

  The full path of the type. cannot contain embedded nulls. The attributes of the defined type. The type that the defined type extends. The packing size of the type. The total size of the type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.FieldBuilder `` `` ``

  is automatically included in .

  The data defined by this method is not created until the method is called.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines an uninitialized data field in the .sdata section of the portable executable (PE) file.

  A field to reference the data.

  The name used to refer to the data. cannot contain embedded nulls. The size of the data field. The attributes for the field.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  An assembly can be associated with only one unmanaged resource. This means that calling DefineVersionInfoResource or DefineUnmanagedResource after either one of the methods was called previously throws . Multiple unmanaged resources need to be merged with a tool such as the Microsoft ResMerge utility (not supplied with the common language runtime).

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines an unmanaged embedded resource given an opaque binary large object (BLOB) of bytes.

  An opaque BLOB that represents an unmanaged resource
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  An assembly can be associated with only one unmanaged resource. This means that calling DefineVersionInfoResource or DefineUnmanagedResource after either one of the methods was called previously throws . Multiple unmanaged resources need to be merged with a tool such as the Microsoft ResMerge utility (not supplied with the common language runtime).

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines an unmanaged resource given the name of Win32 resource file.

  The name of the unmanaged resource file.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether this instance is equal to the specified object.

  true if equals the type and value of this instance; otherwise, false.

  An object to compare with this instance, or null.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  To get the name without the path, use Name.

  The case of a module name is platform dependent.

  Gets a String representing the fully qualified name and path to this module.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` `` `` `` ``

  GetArrayMethod is useful when you have an array of a type whose definition has not been completed and you want to access methods defined on . For example, you might define a type and want to define a method that takes an array of the type as a parameter. In order to access the elements of the array, you will need to call methods of the class.

  Returns the named method on an array class.

  The named method on an array class.

  An array class. The name of a method on the array class. The method's calling convention. The return type of the method. The types of the method's parameters.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.MethodToken `` `` `` `` ``

  This method is similar to , except that it returns the token of the array method instead of the method itself.

  Returns the token for the named method on an array class.

  The token for the named method on an array class.

  The object for the array. A string that contains the name of the method. The calling convention for the method. The return type of the method. The types of the parameters of the method.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Reflection.Emit.MethodToken `` To be added

  Returns the token used to identify the specified constructor within this module.

  The token used to identify the specified constructor within this module.

  The constructor to get a token for.
- Method
  4.0.0.0
  System.Object[] `` To be added.

  Returns all the custom attributes that have been applied to the current .

  An array that contains the custom attributes; the array is empty if there are no attributes.

  This argument is ignored for objects of this type.
- Method
  4.0.0.0
  System.Object[] `` `` To be added.

  Returns all the custom attributes that have been applied to the current , and that derive from a specified attribute type.

  An array that contains the custom attributes that are derived, at any level, from ; the array is empty if there are no such attributes.

  The base type from which attributes derive. This argument is ignored for objects of this type.
- Method
  4.0.0.0
  System.Reflection.FieldInfo `` ``

  When you emit dynamic assemblies, fields in the .sdata region of the portable executable (PE) file are defined by using the or methods.

  Module-level fields cannot be retrieved until after the method has been called for the module.

  Returns a module-level field, defined in the .sdata region of the portable executable (PE) file, that has the specified name and binding attributes.

  A field that has the specified name and binding attributes, or null if the field does not exist.

  The field name. A combination of the BindingFlags bit flags used to control the search.
- Method
  4.0.0.0
  System.Reflection.FieldInfo[] ``

  When you emit dynamic assemblies, fields in the .sdata region of the portable executable (PE) file are defined by using the or methods.

  Module-level fields cannot be retrieved until after the method has been called for the module.

  Returns all fields defined in the .sdata region of the portable executable (PE) file that match the specified binding flags.

  An array of fields that match the specified flags; the array is empty if no such fields exist.

  A combination of the BindingFlags bit flags used to control the search.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.FieldToken `` To be added

  Returns the token used to identify the specified field within this module.

  The token used to identify the specified field within this module.

  The field to get a token for.
- Method
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

- Method
  4.0.0.0
  System.Reflection.MethodInfo `` `` `` `` `` ``

  This method provides the implementation for all overloads of the inherited method. Use the inherited method to get methods that have been declared at the module level. Module-level methods are defined in emitted code by using the method.

  Module-level methods cannot be retrieved until after the method has been called for the module.

  Returns the module-level method that matches the specified criteria.

  A method that is defined at the module level, and matches the specified criteria; or null if such a method does not exist.

  The method name. A combination of BindingFlags bit flags used to control the search. An object that implements Binder, containing properties related to this method. The calling convention for the method. The parameter types of the method. An array of parameter modifiers used to make binding work with parameter signatures in which the types have been modified.
- Method
  4.0.0.0
  System.Reflection.MethodInfo[] ``

  Module-level methods are defined in emitted code by using the method.

  Module-level methods cannot be retrieved until after the method has been called for the module.

  Returns all the methods that have been defined at the module level for the current , and that match the specified binding flags.

  An array that contains all the module-level methods that match .

  A combination of BindingFlags bit flags used to control the search.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.MethodToken `` To be added

  Returns the token used to identify the specified method within this module.

  The token used to identify the specified method within this module.

  The method to get a token for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.SignatureToken ``

  This method defines a metadata token for the signature described by .

  Defines a token for the signature that is defined by the specified .

  A token for the defined signature.

  The signature.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.SignatureToken `` `` To be added

  Defines a token for the signature that has the specified character array and signature length.

  A token for the specified signature.

  The signature binary large object (BLOB). The length of the signature BLOB.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.StringToken ``

  If has already been defined, the existing token will be returned.

  Returns the token of the given string in the module’s constant pool.

  The token of the string in the constant pool.

  The string to add to the module's constant pool.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.ISymbolWriter

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Returns the symbol writer associated with this dynamic module.

  The symbol writer associated with this dynamic module.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Type ``

  Do not use this method to generate array types, pointer types, or byref types. Use the , , and methods instead.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Gets the named type defined in the module.

  The requested type, if the type is defined in this module; otherwise, null.

  The name of the to get.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Type `` ``

  Do not use this method to generate array types, pointer types, or byref types. Use the , , and methods instead.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Gets the named type defined in the module, optionally ignoring the case of the type name.

  The requested type, if the type is defined in this module; otherwise, null.

  The name of the to get. If true, the search is case-insensitive. If false, the search is case-sensitive.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Type `` `` ``

  The parameter only affects what happens when the type is not found. It does not affect any other exceptions that might be thrown. In particular, if the type is found but cannot be loaded, can be thrown even if is false.

  Do not use this method to generate array types, pointer types, or byref types. Use the , , and methods instead.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Gets the named type defined in the module, optionally ignoring the case of the type name. Optionally throws an exception if the type is not found.

  The specified type, if the type is declared in this module; otherwise, null.

  The name of the to get. true to throw an exception if the type cannot be found; false to return null. If true, the search is case-insensitive. If false, the search is case-sensitive.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[]

  ReflectionTypeLoadException is a special class load exception. The ReflectionTypeLoadException.Types property contains the array of classes that were defined in the module and loaded. This array can contain some null values. The ReflectionTypeLoadException.LoaderExceptions property is an array of exceptions that represent the exceptions that were thrown by the class loader. The holes in the class array line up with the exceptions.

  For example, if the class initializers of one of the classes throws an exception while it is being loaded, a TargetInvocationException is stored in the corresponding element of the LoaderExceptions array.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Returns all the classes defined within this module.

  An array that contains the types defined within the module that is reflected by this instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.TypeToken ``

  This method is useful for clients of the class who want to directly modify the body of a method.

  Returns the token used to identify the type with the specified name.

  The token used to identify the type with the specified name within this module.

  The name of the class, including the namespace.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.TypeToken ``

  Tokens are used in Microsoft intermediate language (MSIL) instructions to identify objects. Tokens are relative to the module in which they are contained. For example, the token value for String is likely to be different from module to module. When GetTypeToken is invoked, a reference is added to the module. The reference becomes a permanent part of the module; multiple calls with the same argument have no additional effect.

  Returns the token used to identify the specified type within this module.

  The token used to identify the given type within this module.

  The type object that represents the class type.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Returns a value that indicates whether the specified attribute type has been applied to this module.

  true if one or more instances of have been applied to this module; otherwise, false.

  The type of custom attribute to test for. This argument is ignored for objects of this type.
- Method
  4.0.0.0
  System.Boolean To be added.

  Gets a value indicating whether the object is a resource.

  true if the object is a resource; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Returns a value that indicates whether this dynamic module is transient.

  true if this dynamic module is transient; otherwise, false.

- Property
  4.0.0.0
  System.Int32 To be added.

  The tokens obtained using this property can be passed to the unmanaged Reflection API. For more information, see The Unmanaged Reflection API.

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  Gets a token that identifies the current dynamic module in metadata.

- Property
  4.0.0.0
  System.Guid To be added.

  In unmanaged metadata, the GUID returned by the property is referred to as the mvid, and is stored in the GUID heap.

  More information about metadata can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  Gets a universally unique identifier (UUID) that can be used to distinguish between two versions of a module.

- Property
  4.0.0.0
  System.String To be added.

  The name of a dynamic module cannot be obtained until the module has been saved and reloaded from disk.

  A string that indicates that this is an in-memory module.

- Method
  4.0.0.0
  System.Reflection.FieldInfo `` `` ``

  Use the method on the type where is in scope to obtain an array of generic type arguments for . Use the method on the method where is in scope to obtain an array of generic type arguments for . It is always safe to provide these arguments, even when they are not needed.

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  For code that demonstrates token resolution using the generic context (that is, the generic type parameters of the generic type and/or the generic method in which the token is embedded) see the method.

  Returns the field identified by the specified metadata token, in the context defined by the specified generic type parameters.

  A object representing the field that is identified by the specified metadata token.

  A metadata token that identifies a field in the module. An array of objects representing the generic type arguments of the type where the token is in scope, or null if that type is not generic. An array of objects representing the generic type arguments of the method where the token is in scope, or null if that method is not generic.
- Method
  4.0.0.0
  System.Reflection.MemberInfo `` `` ``

  Use the method on the type where is in scope to obtain an array of generic type arguments for . Use the method on the method where is in scope to obtain an array of generic type arguments for . It is always safe to provide these arguments, even when they are not needed.

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  For code that demonstrates token resolution using the generic context (that is, the generic type parameters of the generic type and/or the generic method in which the token is embedded) see the method.

  Returns the type or member identified by the specified metadata token, in the context defined by the specified generic type parameters.

  A object representing the type or member that is identified by the specified metadata token.

  A metadata token that identifies a type or member in the module. An array of objects representing the generic type arguments of the type where the token is in scope, or null if that type is not generic. An array of objects representing the generic type arguments of the method where the token is in scope, or null if that method is not generic.
- Method
  4.0.0.0
  System.Reflection.MethodBase `` `` ``

  Use the method on the type where is in scope to obtain an array of generic type arguments for . Use the method on the method where is in scope to obtain an array of generic type arguments for . It is always safe to provide these arguments, even when they are not needed.

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  For code that demonstrates token resolution using the generic context (that is, the generic type parameters of the generic type and/or the generic method in which the token is embedded) see the method.

  Returns the method or constructor identified by the specified metadata token, in the context defined by the specified generic type parameters.

  A object representing the method that is identified by the specified metadata token.

  A metadata token that identifies a method or constructor in the module. An array of objects representing the generic type arguments of the type where the token is in scope, or null if that type is not generic. An array of objects representing the generic type arguments of the method where the token is in scope, or null if that method is not generic.
- Method
  4.0.0.0
  System.Byte[] ``

  Information about metadata tokens and signatures can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  Returns the signature blob identified by a metadata token.

  An array of bytes representing the signature blob.

  A metadata token that identifies a signature in the module.
- Method
  4.0.0.0
  System.String ``

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  Returns the string identified by the specified metadata token.

  A containing a string value from the metadata string heap.

  A metadata token that identifies a string in the string heap of the module.
- Method
  4.0.0.0
  System.Type `` `` ``

  Use the method on the type where is in scope to obtain an array of generic type arguments for . Use the method on the method where is in scope to obtain an array of generic type arguments for . It is always safe to provide these arguments, even when they are not needed.

  Information about metadata tokens can be found in the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the ECMA Web site.

  For code that demonstrates token resolution using the generic context (that is, the generic type parameters of the generic type and/or the generic method in which the token is embedded) see the method.

  Returns the type identified by the specified metadata token, in the context defined by the specified generic type parameters.

  A object representing the type that is identified by the specified metadata token.

  A metadata token that identifies a type in the module. An array of objects representing the generic type arguments of the type where the token is in scope, or null if that type is not generic. An array of objects representing the generic type arguments of the method where the token is in scope, or null if that method is not generic.
- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets a string that represents the name of the dynamic module.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Applies a custom attribute to this module by using a custom attribute builder.

  An instance of a helper class that specifies the custom attribute to apply.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Void `` ``

  For more information about how to format , see the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Applies a custom attribute to this module by using a specified binary large object (BLOB) that represents the attribute.

  The constructor for the custom attribute. A byte BLOB representing the attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method does nothing.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  This method does nothing.

  The name of the custom attribute An opaque binary large object (BLOB) of bytes that represents the value of the custom attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The compiler might generate a startup stub before calling user main. The startup stub will be the entry point. While the user main will be the user entry point so that debugger will not step into the compiler entry point.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Sets the user entry point.

  The user entry point.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The type information to return. The locale identifier for the type information. A pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.